{% extends 'shop/main-shop-page.html' %}
{% block content %}
{% load crispy_forms_tags %}

<h3 class="text-center mt-5 mb-5">Ordering</h3>

<table class="table table-hover">
  <thead>
    <tr>
      <th scope="col">Product name</th>
      <th scope="col">Image</th>
      <th scope="col">Price</th>
      <th scope="col">Amount</th>
      <th scope="col">Summary price</th>
    </tr>
  </thead>
  <tbody>
  {% for item in cart.products.all %}
    <tr>
      <th scope="row">{{item.content_object.product_name}}</th>
      <td class="w-25"><img class="img-fluid" src="{{item.content_object.image.url}}" alt=""></td>
      <td>{{item.content_object.price}}</td>
      <td>{{item.qty}}</td>
      <td>{{item.final_price}} $</td>

    </tr>
    {% endfor %}
  <tr>
    <td colspan="2"></td>
    <td><strong>Summary</strong></td>
    <td>{{cart.total_products}}</td>
    <td>{{cart.final_price}} $</td>
  </tr>
  </tbody>
</table>
<hr>
<h3 class="text-center mt-5 mb-5">Ordering form</h3>

<form action="{% url 'shop:make-order' %}" method="POST">
  {% csrf_token %}
  {{ form | crispy}}
  <input type="submit" class="btn btn-success btn-block md-3" value="Checkout">
</form>


{% endblock %}